Search a key
This key management operation allows searching the repository for a key based on the key 'descr' field.
If the configuration option allow_keysearch is set to true, then the search is possible without the Authorization header under the condition of having the minimum first 6 bytes of descr field provided.
Search for a key(s)
POST
https://my.ence.do/api/keymgmt/searchSearch the keys stored in the repository by pattern.
Headers
| Name | Type | Description |
|---|---|---|
| Authorization | String | Bearer JWT_TOKEN |
| Content-Type* | String | application/json |
Request Body
| Name | Type | Description |
|---|---|---|
descr* | String | Pattern to search for. |
offset | Number | Skip offset entries. |
limit | Number | Limit number of return entries, default is 15 if skipped. |
Response status code
- 200: Operation successful
- 400: Incorrect argument(s)
- 401: Missing or invalid JWT_TOKEN
- 403: Incorrect access scope
- 406: Operation failed
- 409: Incorrect internal state
- 410: Repository not ready
- 411: Protocol error - Content-Length required
- 412: Protocol error - CORS validation failed
- 413: Protocol error - request body too big
- 418: TLS connection required
{
"offset": 0,
"total": 5,
"listed": 1,
"list": [{
"kid": "4111bc76291bff8d319a056f15bb46f0",
"created": 1647802803,
"type": "ATT,PKEY,ECDH,CURVE448",
"label": "Chris main Transfer key",
"descr": "RVRTRlRYNTcyMDc0NzI1MjI1NTE3OWNocmlzQGVuY2Vkby5jb20=",
"updated": 1647802803
}]
}
No response body.
No response body.
No response body.
No response body.
No response body.
No response body.
No response body.
No response body.
No response body.
No response body.
Response data for successful operation
This operation returns the same data as the "List the keys" endpoint. Check for details here.
Log entries
| Event | Result | Source |
|---|---|---|
| LOG_TYPE_FAILED_SCOPE_CHECK | LOG_RESULT_FAILED | 403 |